%define version 0.0.7
%define release 1mdk

%define major 1
%define libname %mklibname ggz

# select between GNUTLS or OpenSSL
%define use_openssl 0
%{?_with_openssl: %global use_openssl 1}

Name:		libggz
Summary:	Common library for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2

%if %use_openssl
BuildRequires:	openssl-devel
%else
BuildRequires:	gnutls-devel
%endif

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games. This library provides features required
for running both clients and the server.

Build Option:
--with openssl      Prefer OpenSSL to GNUTLS, for encryption support


%package	-n %{libname}%{major}
Summary:	Common library for running GGZ Gaming Zone applications
Group:		Games/Other
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the shared library that provides features
required for running both clients and the server.


%package	-n %{libname}%{major}-devel
Summary:	Development files used to build GGZ Gaming Zone applications
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}

%description	-n %{libname}%{major}-devel
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the libraries required for building both clients
and the server.

%prep
%setup -q

%build
%configure2_5x \
	--disable-debug		\
	--with-gcrypt=yes	\
%if %use_openssl
	--with-tls=OpenSSL	\
%else
	--with-tls=GnuTLS	\
%endif

%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

%post -n %{libname}%{major} -p /sbin/ldconfig

%postun -n %{libname}%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.GGZ QuickStart.GGZ
%{_libdir}/libggz.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/libggz.a
%{_libdir}/libggz.la
%{_libdir}/libggz.so
%{_mandir}/man?/*

%changelog
* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- mklibname
- Build with encryption support

* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (libggz1/libggz1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- First stab at a .spec file for the Gnu Gaming Zone common libraries
